<?php include 'header.php'; ?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Feedback Submission</title>
</head>
<body>
    <?php
    $required_fields = ['summoner_name', 'email', 'favorite_champion', 'role', 'feedback'];
    $errors = [];

    foreach ($required_fields as $field) {
        if (empty($_POST[$field])) {
            $errors[] = ucfirst(str_replace('_', ' ', $field)) . ' is required.';
        }
    }

    if (empty($errors)) {
        echo "<h2>Thank you for your feedback!</h2>";
        echo "<p>Here's a summary of your submission:</p>";
        echo "<ul>";
        echo "<li>Summoner Name: " . htmlspecialchars($_POST['summoner_name']) . "</li>";
        echo "<li>Email: " . htmlspecialchars($_POST['email']) . "</li>";
        echo "<li>Favorite Champion: " . htmlspecialchars($_POST['favorite_champion']) . "</li>";
        echo "<li>Date Started Playing: " . htmlspecialchars($_POST['month']) . " " . htmlspecialchars($_POST['day']) . ", " . htmlspecialchars($_POST['year']) . "</li>";
        echo "<li>Primary Role: " . htmlspecialchars($_POST['role']) . "</li>";
        if (!empty($_POST['enjoy'])) {
            echo "<li>Aspects Enjoyed: " . implode(", ", $_POST['enjoy']) . "</li>";
        }
        echo "<li>Additional Feedback: " . htmlspecialchars($_POST['feedback']) . "</li>";
        echo "</ul>";
    } else {
        echo "<h2>Warning: The following fields are missing:</h2>";
        echo "<ul>";
        foreach ($errors as $error) {
            echo "<li>" . $error . "</li>";
        }
        echo "</ul>";
    }
    ?>
</body>
</html>

<?php include 'footer.php'; ?>